Jump to content

nasamaru

Member
  • Posts

    14
  • Joined

  • Last visited

Profile Information

  • iDevice
    iPhone 11 Pro

Recent Profile Visitors

712 profile views

nasamaru's Achievements

Newbie

Newbie (1/14)

3

Reputation

  1. even with private/var/mobile/Containers/Bundle/Application/CCA580BA-B29D-4E5D-A596-3D9B105A8F76/smon.app its wrong
  2. Hey guys i d'ont know why but i cant install my cheat for this game (private server) : http://smonwar.com/ with my deb and i would like to get help to understand why. if you need the .deb or the .ipa of the game just tell me thanks ! POSINST : #!/bin/sh # Made by DiDA for iOSGods.com! - Version 1.2.7 - Visit https://github.com/iOSGods/Auto-Lipo-for-iOS-5-to-iOS-9-/ for an up-to-date version! ################################################################################# iosgods_binary="private/var/containers/Bundle/Application/CCA580BA-B29D-4E5D-A596-3D9B105A8F76/smon.app/SMON_Kr" iosgods_target_directory="private/var/containers/Bundle/Application/*/smon.app/" iosgods_lipoarm64="/usr/bin/freesummonerswarLipo" lipoarm64_binarytarget="SMON_Kr" ################################################################################# set -e ig_mv_perms() { # Kill the app if it's running before continuing killall -9 "${iosgods_binary##*/}" || : # Check if the specified binary exists in the location provided above, otherwise output an error if [ ! -f "${iosgods_binary}" ]; then printf "${iosgods_binary} file couldn't be found, please check if the specified location is correct. If the issue still persists, ask for help on iOSGods.com\\n\\n" exit 1 fi # Check if there is a '*' character in the target directory variable and process if that's the case if [ "${iosgods_target_directory}" != "${iosgods_target_directory%%\***}" ]; then base_iosgods_target_directory="${iosgods_target_directory%%\***}" prefix_iosgods_target_directory="${iosgods_target_directory##**\*}" # Search prefix_iosgods_target_directory on base_iosgods_target_directory directory for t in $base_iosgods_target_directory/* ; do if [ -d "${t}${prefix_iosgods_target_directory}" ]; then # Found, replace iosgods_target_directory with real path iosgods_target_directory="${t}${prefix_iosgods_target_directory}" break else continue fi done fi if [ ! -d "${iosgods_target_directory}" ]; then printf "${iosgods_target_directory} directory wasn't found, please make sure you have the app installed or ask for support on iOSGods.com\\n\\n" exit 1 fi # Changing permissions prior to moving the binary to simplify code chmod 755 "${iosgods_binary}" chown mobile:mobile "${iosgods_binary}" # Moving thinned binary to the specified app's directory printf "\\n\\n** Applying the hack...\\n" mv "${iosgods_binary}" "${iosgods_target_directory}" printf "\\n** Made by Amuyea for iOSGods.com!\\n" } case "${1}" in configure) # Read sw_vers output and act upon it case "$(sw_vers -productVersion)" in 5*|6*|7*|8*) # If iOS 5, 6, 7, or 8 is detected, it will run LipoARM64 to patch the binary printf "*************************************\\n" printf "* iOS 8 or lower has been detected. *\\n" printf "*************************************\\n\\n" # Setting permissions to LipoARM64 before running incase the user added it to the deb with bad permissions chmod 755 "${iosgods_lipoarm64}" printf "** Installing the hack. Please wait...\\n\\n" "${iosgods_lipoarm64}" "${lipoarm64_binarytarget}" # Since iOS 8 or lower has been detected, we no longer need the thinned binary we bundled with the .deb so we remove it to free up space rm -f "${iosgods_binary}" printf "\\n\\n** Made by Amuyea for iOSGods.com!\\n\\n" chmod 644 /etc/hosts && sed -i '/iosgods/d' /etc/hosts ;; 9*|10*) # If iOS 9+ is detected, apply the thinned binary printf "****************************************\\n" printf "* iOS 9.0 or higher has been detected. *\\n" printf "****************************************\\n\\n" ig_mv_perms chmod 644 /etc/hosts && sed -i '/iosgods/d' /etc/hosts ;; esac ;; abort-upgrade|abort-deconfigure|abort-remove) ;; *) printf "%s\\n" "${0} called with unknown argument \`${1}'" 1>&2 exit 1 ;; esac ERROR : /private/var/root/Modding$ dpkg -b biochrome dpkg-deb: building package 'com.biochrome.smonwar' in 'biochrome.deb'. /private/var/root/Modding$ dpkg -i biochrome.deb (Reading database ... 2821 files and directories currently installed.) Preparing to unpack biochrome.deb ... Unpacking com.biochrome.smonwar (2.2.3) over (2.2.3) ... Setting up com.biochrome.smonwar (2.2.3) ... dpkg (subprocess): unable to execute installed post-installation script (/var/lib/dpkg/info/com.biochrome.smonwar.postinst): No such file or directory dpkg: error processing package com.biochrome.smonwar (--install): subprocess installed post-installation script returned error exit status 2 Errors were encountered while processing: com.biochrome.smonwar The game file are stored here : private/var/containers/Bundle/Application/CCA580BA-B29D-4E5D-A596-3D9B105A8F76/
×
  • Create New...

Important Information

We would like to place cookies on your device to help make this website better. The website cannot give you the best user experience without cookies. You can accept or decline our cookies. You may also adjust your cookie settings. Privacy Policy - Guidelines